Get platform configuration
curl --request GET \
--url https://api.blaxel.ai/v0/configuration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/configuration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"continents": [
{
"displayName": "<string>",
"name": "<string>"
}
],
"countries": [
{
"displayName": "<string>",
"name": "<string>"
}
],
"detectedRegion": "<string>",
"privateLocations": [
{
"name": "<string>"
}
],
"regions": [
{
"agentDrivePublicUrl": {},
"allowed": "<string>",
"continent": "<string>",
"country": "<string>",
"drivesAvailable": true,
"egressAvailable": true,
"infoGeneration": "<string>",
"location": "<string>",
"name": "<string>",
"proxyAvailable": true
}
]
}configurations
Get platform configuration
Returns global platform configuration including available regions, countries, continents, and private locations for deployment policies.
GET
/
configuration
Get platform configuration
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Response
200 - application/json
Configuration of the control plane
Configuration
Continents
Show child attributes
Show child attributes
Countries
Show child attributes
Show child attributes
Auto-detected closest region based on viewer geolocation (from CloudFront headers). Empty when geo headers are not available.
Private locations managed with blaxel operator
Show child attributes
Show child attributes
Regions
Show child attributes
Show child attributes
Last modified on July 1, 2026
Was this page helpful?
⌘I
